STRUCT (3)

NAME
boost::numeric::functional::as_one<T,_std_valarray_tag>

SYNOPSIS

// In header: <boost/accumulators/numeric/functional/valarray.hpp>
template<typename T>
struct as_one<T, std_valarray_tag> : public std::unary_function< T, remove_const< T >::type > {
  // public member functions
  remove_const< T >::type operator()(T &) const;
};

DESCRIPTION

  as_one public member functions

    1.

    remove_const< T >::type operator()(T & arr) const;